Associate Dataset

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/securable
API call form
Examples
List of examples
  • Share dataset with user with modify rights.
  • Share dataset with user with filters applied
  • Share dataset with group
  • Add dataset to Collection
  • Add (static) embedFilter to dataset
  • Add (parameter) embedFilter to dataset
Description

Add a static embedFilter to a dataset.

  • expression : Filter expression to apply. Possible values are:

    • For numeric columns: ? is null , ? is not null , ? in ? , ? not in ? , ? = ? , ? != ? , ? < ? , ? <= ? , ? > ? , ? >= ?

    • For hierarchy columns: ? is null , ? is not null , ? in ? , ? not in ? , ? = ? , ? != ? , ? like ? , ? not like ? , ? starts with ? , ? not starts with ? , ? ends with ? , ? not ends with ?

    • For datetime columns: ? is null , ? is not null , ? < ? , ? <= ? , ? > ? , ? >= ? , last_now , last_available , next_now , last_completed , to_date , next_full

  • value : Value(s) to compare. This field should be omitted for ? is null and ? is not null expressions.

    • Value should be an (array of string), numeric or datetime (in RFC 3339 format, like 2018-05-05T12:23:45.000Z ) values, depending on the type of the column.

    • For last_now , last_available , next_now , last_completed , to_date , next_full expressions the value should be an object with the unit (year, quarter, month, ...) and quantity (number of units).

Install
npm install @luzmo/nodejs-sdk